summaryrefslogtreecommitdiff
path: root/packaging/Fedora/samba4.init
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2008-06-28 18:25:47 +1000
committerAndrew Bartlett <abartlet@samba.org>2008-06-28 18:25:47 +1000
commit5cecf6d9de8eda3e0a0674c7e47baedaf6509c2b (patch)
tree3f6b75b6336d15822381fb76d94e2fcac2352255 /packaging/Fedora/samba4.init
parent87fedc432f7988e32e18c37b54aa800f2f31c594 (diff)
downloadsamba-5cecf6d9de8eda3e0a0674c7e47baedaf6509c2b.tar.gz
samba-5cecf6d9de8eda3e0a0674c7e47baedaf6509c2b.tar.bz2
samba-5cecf6d9de8eda3e0a0674c7e47baedaf6509c2b.zip
Place the Fedroa package into Samba4's GIT tree
I'll keep this here at least until Fedora picks things up. Andrew Bartlett (This used to be commit c161de2245cd26aa26642f09736fc6eeba14cf6d)
Diffstat (limited to 'packaging/Fedora/samba4.init')
-rw-r--r--packaging/Fedora/samba4.init113
1 files changed, 113 insertions, 0 deletions
diff --git a/packaging/Fedora/samba4.init b/packaging/Fedora/samba4.init
new file mode 100644
index 0000000000..1e42364452
--- /dev/null
+++ b/packaging/Fedora/samba4.init
@@ -0,0 +1,113 @@
+#!/bin/sh
+#
+# chkconfig: - 91 35
+# description: Starts and stops the Samba smbd daemon \
+# used to provide SMB network services.
+#
+# pidfile: /var/run/samba4/smbd.pid
+# config: /etc/samba/smb.conf
+
+SAMBA_NAME=samba4
+
+# Source function library.
+if [ -f /etc/init.d/functions ] ; then
+ . /etc/init.d/functions
+elif [ -f /etc/rc.d/init.d/functions ] ; then
+ . /etc/rc.d/init.d/functions
+else
+ exit 1
+fi
+
+# Avoid using root's TMPDIR
+unset TMPDIR
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+if [ -f /etc/sysconfig/$SAMBA_NAME ]; then
+ . /etc/sysconfig/$SAMBA_NAME
+fi
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 1
+
+# Check that smb.conf exists.
+[ -f /etc/$SAMBA_NAME/smb.conf ] || exit 6
+
+RETVAL=0
+
+
+start() {
+ echo -n $"Starting Samba services: "
+ daemon smbd $SMBDOPTIONS
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$SAMBA_NAME || \
+ RETVAL=1
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Shutting down Samba services: "
+ killproc smbd
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$SAMBA_NAME
+ return $RETVAL
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ echo -n $"Reloading smb.conf file: "
+ killproc smbd -HUP
+ RETVAL=$?
+ echo
+ return $RETVAL
+}
+
+rhstatus() {
+ status smbd
+ return $?
+}
+
+
+# Allow status as non-root.
+if [ "$1" = status ]; then
+ rhstatus
+ exit $?
+fi
+
+# Check that we can write to it... so non-root users stop here
+[ -w /etc/$SAMBA_NAME/smb.conf ] || exit 4
+
+
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ restart
+ ;;
+ reload)
+ reload
+ ;;
+ status)
+ rhstatus
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/$SAMBA_NAME ] && restart || :
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
+ exit 2
+esac
+
+exit $?